
.. _helm_def:

=====================
helm definition
=====================





|CircleCI| |Go Report Card| |GoDoc|


Introduction
===============

Helm is a tool for managing Kubernetes charts.

Charts are packages of pre-configured Kubernetes resources.

Use Helm to:

-  Find and use `popular software packaged as Helm
   charts <https://github.com/helm/charts>`__ to run in Kubernetes
-  Share your own applications as Helm charts
-  Create reproducible builds of your Kubernetes applications
-  Intelligently manage your Kubernetes manifest files
-  Manage releases of Helm packages

Helm in a Handbasket
--------------------

Helm is a tool that streamlines installing and managing Kubernetes
applications. Think of it like apt/yum/homebrew for Kubernetes.

-  Helm has two parts: a client (``helm``) and a server (``tiller``)
-  Tiller runs inside of your Kubernetes cluster, and manages releases
   (installations) of your charts.
-  Helm runs on your laptop, CI/CD, or wherever you want it to run.
-  Charts are Helm packages that contain at least two things:
-  A description of the package (``Chart.yaml``)
-  One or more templates, which contain Kubernetes manifest files
-  Charts can be stored on disk, or fetched from remote chart
   repositories (like Debian or RedHat packages)

Install
-------

Binary downloads of the Helm client can be found on `the Releases
page <https://github.com/helm/helm/releases/latest>`__.

Unpack the ``helm`` binary and add it to your PATH and you are good to
go!

If you want to use a package manager:

-  `Homebrew <https://brew.sh/>`__ users can use
   ``brew install kubernetes-helm``.
-  `Chocolatey <https://chocolatey.org/>`__ users can use
   ``choco install kubernetes-helm``.
-  `Scoop <https://scoop.sh/>`__ users can use ``scoop install helm``.
-  `GoFish <https://gofi.sh/>`__ users can use ``gofish install helm``.

To rapidly get Helm up and running, start with the `Quick Start
Guide <https://docs.helm.sh/using_helm/#quickstart-guide>`__.

See the `installation
guide <https://docs.helm.sh/using_helm/#installing-helm>`__ for more
options, including installing pre-releases.

Docs
----

Get started with the `Quick Start
guide <https://docs.helm.sh/using_helm/#quickstart-guide>`__ or plunge
into the `complete documentation <https://docs.helm.sh>`__

Roadmap
-------

The `Helm roadmap uses Github
milestones <https://github.com/helm/helm/milestones>`__ to track the
progress of the project.

Community, discussion, contribution, and support
------------------------------------------------

You can reach the Helm community and developers via the following
channels:

-  `Kubernetes Slack <https://kubernetes.slack.com>`__:
-  `#helm-users <https://kubernetes.slack.com/messages/helm-users>`__
-  `#helm-dev <https://kubernetes.slack.com/messages/helm-dev>`__
-  `#charts <https://kubernetes.slack.com/messages/charts>`__
-  Mailing List:
-  `Helm Mailing List <https://lists.cncf.io/g/cncf-helm>`__
-  Developer Call: Thursdays at 9:30-10:00 Pacific.
   https://zoom.us/j/696660622

Code of conduct
~~~~~~~~~~~~~~~

Participation in the Helm community is governed by the `Code of
Conduct <code-of-conduct.md>`__.

.. |CircleCI| image:: https://circleci.com/gh/helm/helm.svg?style=shield
   :target: https://circleci.com/gh/helm/helm
.. |Go Report Card| image:: https://goreportcard.com/badge/github.com/helm/helm
   :target: https://goreportcard.com/report/github.com/helm/helm
.. |GoDoc| image:: https://godoc.org/k8s.io/helm?status.svg
   :target: https://godoc.org/k8s.io/helm
